# $Revision: 1.49 $, $Date: 2002/07/21 19:13:03 $
Summary:	Process accounting tools
Summary(es):	Herramientas de contabilidad de procesos
Summary(pl):	Program do logowania procesw uytkownikw
Summary(pt_BR):	Ferramentas de contabilizao de processos
Summary(uk):	̦  Φ Ԧ Ӧ
Summary(ru):	    
Name:		psacct
Version:	6.3.5
Release:	9
License:	GPL
Group:		Applications/System
Source0:	ftp://prep.ai.mit.edu/pub/gnu/acct-%{version}.tar.gz
Source1:	acct.logrotate
Source2:	%{name}-non-english-man-pages.tar.bz2
Patch0:		acct-info.patch
Patch1:		acct-amfix.patch
Patch2:		%{name}-ac_am.patch
Patch3:		%{name}-path.patch
Requires:	logrotate
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tools necessary for accounting the activities of processes are
included here.

%description -l es
Estn incluidas aqu las herramientas necesarias para contabilizar las
actividades de procesos.

%description -l pl
Narzdzia niezbdne do logowania wszystkich procesw i komend
uytkownikw oraz monitorowania systemu.

%description -l pt_BR
As ferramentas necessrias para contabilizar as atividades de
processos esto includas aqui.

%description -l uk
  ͦ ̦      Ԧ Ӧ.

%description -l ru
         
.

%prep
%setup -q -n acct-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
aclocal
%{__autoconf}
%{__automake}
autoheader
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/logrotate.d,%{_prefix},/sbin,/var/log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT{%{_sbindir}/accton,/sbin/accton}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/acct
bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

touch $RPM_BUILD_ROOT/var/log/{pacct,usracct,savacct}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/accton >/dev/null 2>&1
echo "Type \"/sbin/actton /var/log/pacct\" to run accounting."
touch /var/log/{pacct,usracct,savacct}
chmod 640 /var/log/{pacct,usracct,savacct}

%preun
if [ "$1" = "0" ]; then
	/sbin/accton >/dev/null 2>&1
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc {ChangeLog,NEWS,README}*

%attr(640,root,root) /etc/logrotate.d/*
%attr(640,root,root) %ghost /var/log/pacct
%attr(640,root,root) %ghost /var/log/usracct
%attr(640,root,root) %ghost /var/log/savacct

%attr(755,root,root) %{_bindir}/ac
%attr(755,root,root) %{_bindir}/lastcomm
%attr(755,root,root) /sbin/accton
%attr(755,root,root) %{_sbindir}/sa

%{_mandir}/man1/ac.1*
%{_mandir}/man1/lastcomm.1*
%{_mandir}/man8/sa.8*
%{_mandir}/man8/accton.8*
%lang(fi) %{_mandir}/fi/man1/ac.1*
%lang(fi) %{_mandir}/fi/man1/lastcomm.1*
%lang(fr) %{_mandir}/fr/man8/accton.8*
%lang(pl) %{_mandir}/pl/man1/ac.1*

%{_infodir}/accounting.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: psacct.spec,v $
Revision 1.49  2002/07/21 19:13:03  kloczek
- texinfo added to BuildRequires.

Revision 1.48  2002/07/21 18:55:53  undefine
- {uk,ru} {description,summary} from KSI
- %{name}-ac_am.patch to allow compile with new ac/am
- %{name}-path.patch to change path from /var/account to /var/log
- move /usr/sbin/accton to /sbin/accton to work with rc-scripts
- release 9
- stbr

Revision 1.47  2002/05/21 23:14:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.46  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.45  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/18 02:14:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/11/21 22:43:25  ankry
- added fi, fr, pl man pages
- release 8

Revision 1.42  2001/10/21 13:33:30  kloczek
- merge translations from CNV.

Revision 1.41  2001/10/21 13:07:59  qboosh
- amfix patch for automake 1.5
- removed bashisms from post/preun
- release 7

Revision 1.40  2001/10/04 07:55:35  qboosh
- adapterized, BuildRequires: autoconf,automake

Revision 1.39  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.37  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.36  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.35  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.34  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.33  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.32  2000/05/15 19:41:00  kloczek
- release 6.

Revision 1.31  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.30  2000/04/20 20:48:43  kloczek
- release 4,
- added missing %dir /var/account.

Revision 1.29  2000/04/19 18:56:22  kloczek
- place directly acct instead %%{name} in two required places.

Revision 1.28  2000/04/19 18:39:19  kloczek
- back to psacct package name.

Revision 1.26  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.24  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.23  1999/09/19 10:21:03  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.22  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 27 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [6.3.5-1]
- up version (from debian devel ;) 

* Mon May 24 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [6.3.2-7]
- FHS 2.0,
- rotate logs,
- added %doc,
- more macros.

* Wed Jan 06 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [6.3.2-5]
- added gzipping man pages,
- standarized {un}registering info pages (added acct-info.patch).

* Sun Nov 22 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [6.3.2-3]
- fixed --entry text on {un}registering info page for ed in %post
  %preun.

* Fri Oct 09 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [6.3.2-2]
- fixed pl translation,
- Obsoletes psacct,
- minor changes.

* Tue Aug 11 1998 Wojtek lusarczyk <wojtek@SHADOW.EU.ORG>
  [6.3.2-1]
- translation modified for pl,
- moved %changelog at the end of spec,
- added %defattr support,
- changed permissions of binaries to 700,
- added %verify support for pacct, usracct, savacct,
- added rpm_opt_flags support,
- build from non root's account,
- major changes,
- start at RH spec file.
